<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php

// ====================================================
// Include the file that contains all the info
// ====================================================
include('settings.php');

// getting the page url for the settings page
$plugin_page_url = esc_url( menu_page_url( 'yydev-tag-manager', false ) );

// ====================================================
// Update the data if it's changed
// ====================================================
    
if( isset($_POST['insert_tag_manager']) ) {

        // If there is no error insert the info to the database
        $form_shortcode_head = yydev_tagmanager_mysql_prep($_POST['form_shortcode_head']);
        $form_shortcode_body = yydev_tagmanager_mysql_prep($_POST['form_shortcode_body']);
        $form_shortcode_footer = yydev_tagmanager_mysql_prep($_POST['form_shortcode_footer']);
        $add_plugin_to_menu = yydev_tagmanager_mysql_prep( intval($_POST['add_plugin_to_menu']) );+
        $current_page_id = "0";

        // update the why we display the menu from the main admin panel or under settings
        update_option($menu_loading_name, $add_plugin_to_menu);

        $check_if_data_exists = $wpdb->get_row("SELECT id FROM " . $yydev_tags_table_name . " WHERE page_id = 0");

        if($check_if_data_exists == 0) {  

            // if the data was not submited into the database
            $wpdb->insert( $yydev_tags_table_name, array('page_id'=>$current_page_id, 'tag_type'=>'head', 'tag_code'=>$form_shortcode_head), array('%d', '%s', '%s') );
            $wpdb->insert( $yydev_tags_table_name, array('page_id'=>$current_page_id, 'tag_type'=>'body', 'tag_code'=>$form_shortcode_body), array('%d', '%s', '%s') );
            $wpdb->insert( $yydev_tags_table_name, array('page_id'=>$current_page_id, 'tag_type'=>'footer', 'tag_code'=>$form_shortcode_footer), array('%d', '%s', '%s') );

            // Creating page link and redirect the user the current page with the new data
            $new_detabase_id = $wpdb->insert_id;
            $message = "The data was inserted successfully";
            $new_page_link = $plugin_page_url . "&message=" . urlencode($message);
            yydev_tagmanager_redirections_page($new_page_link);

        } else { // if($check_if_data_exists == 0) {  

            // if the data already exist one the database
            $wpdb->update( $yydev_tags_table_name, array('tag_code'=>$form_shortcode_head), array('page_id'=>$current_page_id, 'tag_type'=>'head'), array('%s') );
            $wpdb->update( $yydev_tags_table_name, array('tag_code'=>$form_shortcode_body), array('page_id'=>$current_page_id, 'tag_type'=>'body'), array('%s') );
            $wpdb->update( $yydev_tags_table_name, array('tag_code'=>$form_shortcode_footer), array('page_id'=>$current_page_id, 'tag_type'=>'footer'), array('%s') );

            // Creating page link and redirect the user the current page with the new data
            $new_detabase_id = $wpdb->insert_id;
            $message = "The data was updated successfully";
            $new_page_link = $plugin_page_url . "&message=" . urlencode($message);
            yydev_tagmanager_redirections_page($new_page_link);

        } // } else { // if($check_if_data_exists == 0) {  
        
} // if( isset($_POST['insert_tag_manager']) ) {
     
?>

<div class="wrap yydevelopment-tag-manager">

    <h2 class="display-inline">TagManager - Add Header, Body And Footer Code</h2>
    <p>Below you will be able to add head, below body and footer code for tracking websites like analytics, pixel and google tag manager.</p>

    <?php yydev_tagmanager_echo_message_if_exists(); ?>
    <?php // yydev_tagmanager_echo_success_message_if_exists($success_message); ?>
    <?php // yydev_tagmanager_echo_error_message_if_exists($post_error_message); ?>

    <div class="insert-new">
        
<?php

    $tagmanager_content = $wpdb->get_results("SELECT * FROM " . $yydev_tags_table_name . " WHERE page_id = 0");
    $head_tag = ''; $body_tag = ''; $footer_tag = '';

    if($tagmanager_content > 0) {  

        foreach($tagmanager_content as $tagmanager_content_data) {

            $tag_type = $tagmanager_content_data->tag_type;
            $tag_code = $tagmanager_content_data->tag_code;
            
            if( $tag_type === "head" ) {
                $head_tag = $tagmanager_content_data->tag_code;
            } elseif( $tag_type === "body" ) {
                $body_tag = $tagmanager_content_data->tag_code;
            } elseif( $tag_type === "footer" ) {
                $footer_tag = $tagmanager_content_data->tag_code;
            } // if( $tag_type === "head" ) {

        } // foreach($tagmanager_content as $tagmanager_content_data) {

    } // if($tagmanager_content > 0) {  

?>

<form class="edit-form-data" method="POST" action="">

        <div class="yydev_tag_warp_textarea">
            <h4>Insert <?php echo htmlspecialchars("<head>"); ?> tags code below:</h4>
            <textarea class='form_shortcode_content' name='form_shortcode_head' ><?php echo $head_tag; ?></textarea>
        </div><!--yydev_tag_warp_textarea-->
            
        <div class="yydev_tag_warp_textarea">
            <h4>Insert below <?php echo htmlspecialchars("<body>"); ?> tags code below:</h4>
            <textarea class='form_shortcode_content' name='form_shortcode_body' ><?php echo $body_tag; ?></textarea>
        </div><!--yydev_tag_warp_textarea-->

        <div class="yydev_tag_warp_textarea">
            <h4>Insert footer tags code below, code above <?php echo htmlspecialchars("</body>"); ?>:</h4>
            <textarea class='form_shortcode_content' name='form_shortcode_footer' ><?php echo $footer_tag; ?></textarea>
        </div><!--yydev_tag_warp_textarea-->

        <input type="checkbox" name="add_plugin_to_menu" id="add_plugin_to_menu" value='1' <?php if(get_option($menu_loading_name) === '1') { echo 'checked'; } ?>/> 
        <label for="add_plugin_to_menu">Check this box if you want the plugin menu to show up under setting menu tab instead of under main wordperss menu</label>

        <br />

        <input type="submit" class="edit-form-data yydev-tags-submit" name="insert_tag_manager" value="Insert Tags" />

</form>

<br /><br /><br />
<span id="footer-thankyou-code">This plugin was create by <a target="_blank" href="https://www.yydevelopment.com">YYDevelopment</a>. If you liked the plugin please give it a <a target="_blank" href="https://wordpress.org/plugins/tag-manager-header-body-footer/#reviews">5 stars review</a>.</span>
</div><!--wrap-->