<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php

// ====================================================
// Output all the tags into the site
// ====================================================

// getting the data from the databse
$tagmanager_content_output = $wpdb->get_results("SELECT * FROM " . $yydev_tags_table_name . " WHERE page_id = 0");
$yydev_tag_manager_head = ''; $yydev_tag_body_tag = ''; $yydev_tag_footer_tag = '';

if($tagmanager_content_output > 0) {

    // organize the tags data
    foreach($tagmanager_content_output as $tagmanager_content_output_data) {

        $tag_type = $tagmanager_content_output_data->tag_type;
        $tag_code = $tagmanager_content_output_data->tag_code;

        if( $tag_type === "head" ) {
            $yydev_tag_manager_head = yydev_tagmanager_mysql_prep($tagmanager_content_output_data->tag_code);
        } elseif( $tag_type === "body" ) {
            $yydev_tag_body_tag = yydev_tagmanager_mysql_prep($tagmanager_content_output_data->tag_code);
        } elseif( $tag_type === "footer" ) {
            $yydev_tag_footer_tag = yydev_tagmanager_mysql_prep($tagmanager_content_output_data->tag_code);
        } // if( $tag_type === "head" ) {

    } // foreach($tagmanager_content_output as $tagmanager_content_output_data) {

} // if($tagmanager_content_output > 0) {

// ====================================================
// Adding the <head> tags
// ====================================================

if(!empty($yydev_tag_manager_head)) {
    
    function yydev_add_tag_manager_head() {
        global $yydev_tag_manager_head;
        echo $yydev_tag_manager_head;
    } // function yydev_add_tag_manager_head() {

    add_action('wp_head', 'yydev_add_tag_manager_head', 9999);

} // if(!empty($yydev_tag_manager_head)) {


// ====================================================
// Adding the after <body> tags
// ====================================================

// ----------------------------------------------------
// Adding the code if the theme not support after body tags
// ----------------------------------------------------

if(!empty($yydev_tag_body_tag)) {

        function yydev_buffer_holder() {
            ob_start();
        }

        function yydev_replace_code_after_body() {

            global $yydev_tag_body_tag;

            $yydev_buffer  = ob_get_clean();
            $yydev_str_replace ='/<[bB][oO][dD][yY]\s[A-Za-z]{2,5}[A-Za-z0-9 "_=\-\.]+>|<body>/';
            ob_start();

            if( preg_match($yydev_str_replace, $yydev_buffer, $yydev_buffer_return) ) {

                $yydev_new_code = $yydev_buffer_return[0] . $yydev_tag_body_tag;
                echo preg_replace($yydev_str_replace, $yydev_new_code, $yydev_buffer);
                
            } // if( preg_match($yydev_str_replace, $yydev_buffer, $yydev_buffer_return) ) {

            ob_flush();

        } // function yydev_replace_code_after_body() {

        add_action( 'wp_head', 'yydev_buffer_holder');
        add_action( 'wp_footer', 'yydev_replace_code_after_body');

} // if(!empty($yydev_tag_body_tag)) {

// ====================================================
// Adding the footer tags
// ====================================================

if(!empty($yydev_tag_footer_tag)) {
    
    function yydev_add_tag_manager_footer() {
        global $yydev_tag_footer_tag;
        echo $yydev_tag_footer_tag;
    } // function yydev_add_tag_manager_footer() {

    add_action('wp_footer', 'yydev_add_tag_manager_footer', 9999);

} // if(!empty($yydev_tag_footer_tag)) {
