<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly ?>
<?php
/*
Plugin Name: Tag Manager - Header, Body And Footer
Plugin URI:  https://www.yydevelopment.com/
Description: Simple plugin that allow you add head, body and footer codes for google tag manager, analytics & facebook pixel codes.
Version:     1.1.5
Author:      YYDevelopment
Author URI:  https://www.yydevelopment.co.il/
*/

include_once('include/settings.php');
require_once('include/functions.php');

// ================================================
// Creating Database when the plugin is activated
// ================================================


function yydev_tagmanager_create_database() {
    
    require_once('include/install.php');
        
} // function yydev_tagmanager_create_database() {

register_activation_hook(__FILE__, 'yydev_tagmanager_create_database');

// ================================================
// display the plugin we have create on the wordpress
// post blog and pages
// ================================================

// function that will output the code to the page
function output_yydev_tagmanager() {

    include('include/style.php');
    include('include/admin-output.php');

} // function output_yydev_tagmanager() {

// -----------------------------------------------
// choosing if the load from the main page or under the settings
// -----------------------------------------------

if(get_option($menu_loading_name) === '1') {

    // in case of main menu loading
    function register_yydev_tagmanager_page() {
        $wordpress_icon_path = plugins_url( 'images/favicon.png', __FILE__ );
        add_menu_page( 'Tag Manager', "Tag Manager", 'manage_options', 'yydev-tag-manager', 'output_yydev_tagmanager',  $wordpress_icon_path, 500);
    } // function register_yydev_tagmanager_page() {

    add_action('admin_menu', 'register_yydev_tagmanager_page');

} else { // if(get_option($menu_loading_name) === '1') {

    // in case of settings menu loading
    function register_yydev_tagmanager_page() {
        add_options_page( 'Tag Manager', "Tag Manager", 'manage_options', 'yydev-tag-manager', 'output_yydev_tagmanager');
    } // function register_yydev_tagmanager_page() {

    add_action('admin_menu', 'register_yydev_tagmanager_page');

} // } else { // if(get_option($menu_loading_name) === '1') {

// ================================================
// Add settings page to the plugin menu info
// ================================================

function yydev_tagmanager_add_settings_link( $actions, $plugin_file ) {
	static $plugin;

    if (!isset($plugin)) { $plugin = plugin_basename(__FILE__); }
	if ($plugin == $plugin_file) {
            $admin_page_url = esc_url( menu_page_url( 'yydev-tag-manager', false ) );
			$settings = array('settings' => '<a href="' . $admin_page_url . '">Settings</a>');
            $actions = array_merge($settings, $actions);
    } // if ($plugin == $plugin_file) {
    return $actions;
} //function yydev_tagmanager_add_settings_link( $actions, $plugin_file ) {

add_filter( 'plugin_action_links', 'yydev_tagmanager_add_settings_link', 10, 5 );

// ================================================
// output the data into the page front end
// ================================================
if( !is_admin() ) {
    include('include/front-end-output.php');
} // if( !is_admin() ) {

// ================================================
// including admin notices flie
// ================================================

if( is_admin() ) {
	include_once('notices.php');
} // if( is_admin() ) {